Package com.saxonica.ee.bytecode

## Class IsLastExpressionCompiler

- java.lang.Object
- - com.saxonica.ee.bytecode.ExpressionCompiler
  - - com.saxonica.ee.bytecode.ToBooleanCompiler
    - - com.saxonica.ee.bytecode.IsLastExpressionCompiler

-     public class IsLastExpressionCompiler
      extends ToBooleanCompiler

  Generate bytecode for the IsLastExpression, which tests whether position() is equal to last()

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IsLastExpressionCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compileToBoolean​(CompilerService compiler, Expression expression)` | Generate bytecode to evaluate the expression as a boolean Precondition: none.

    - ### Methods inherited from class com.saxonica.ee.bytecode.ToBooleanCompiler

      `compileToItem, compileToIterator, compileToPush`

    - ### Methods inherited from class com.saxonica.ee.bytecode.ExpressionCompiler

      `allocateStatic, compileItemFromInt, compileToPrimitive, generateMethod, handleEmptyStringResult, printStackTop, verify, visitAnnotation, visitLineNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsLastExpressionCompiler

          public IsLastExpressionCompiler()

  - ### Method Detail

    - #### compileToBoolean

          public void compileToBoolean​(CompilerService compiler,
                                       Expression expression)
                                throws CannotCompileException

      Description copied from class: `ExpressionCompiler`
      Generate bytecode to evaluate the expression as a boolean Precondition: none. Postcondition: at execution time, the stack contains an integer (0=false, 1=true) representing the result of the expression
      Specified by:
        `compileToBoolean` in class `ExpressionCompiler`
      Parameters:
        `compiler` - the compiler service
        `expression` - the expression to be compiled
      Throws:
        `CannotCompileException` - if the expression cannot be compiled to bytecode